import { jsx } from "react/jsx-runtime";
import { TokenGLM as TokenGLM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGLM = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "GLM", "data-name": "TokenGLM", ...props, children: /* @__PURE__ */ jsx(TokenGLM$1, { variant }) });
  }
);
TokenGLM.displayName = "TokenGLM";
Object.assign(TokenGLM, { isGdsIcon: true });
export {
  TokenGLM
};
